jer         14/07/16 14:15:44

  Modified:             ntop-5.0.1-r1.ebuild ChangeLog
  Log:
  Fix missing includes for standard functions. Stop running autotools in 
src_install(). Use python-config --includes, not --cflags. Do not "clean up" 
INCS (INCLUDES).
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
A792A613)

Revision  Changes    Path
1.3                  net-analyzer/ntop/ntop-5.0.1-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/ntop/ntop-5.0.1-r1.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/ntop/ntop-5.0.1-r1.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/ntop/ntop-5.0.1-r1.ebuild?r1=1.2&r2=1.3

Index: ntop-5.0.1-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-analyzer/ntop/ntop-5.0.1-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ntop-5.0.1-r1.ebuild        15 Jul 2014 17:45:44 -0000      1.2
+++ ntop-5.0.1-r1.ebuild        16 Jul 2014 14:15:44 -0000      1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/ntop/ntop-5.0.1-r1.ebuild,v 
1.2 2014/07/15 17:45:44 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/ntop/ntop-5.0.1-r1.ebuild,v 
1.3 2014/07/16 14:15:44 jer Exp $
 
 EAPI=5
 PYTHON_COMPAT=( python2_{6,7} )
@@ -51,9 +51,17 @@
 
 src_prepare() {
        epatch "${FILESDIR}"/${P}-gentoo.patch
+       epatch "${FILESDIR}"/${P}-includes.patch
        cp /usr/share/aclocal/libtool.m4 libtool.m4.in
        cat acinclude.m4.in libtool.m4.in acinclude.m4.ntop > acinclude.m4
        eautoreconf
+
+       # The build system is a complete mess, so apply a configure patch here
+       # instead of patching configure.in above
+       epatch "${FILESDIR}"/${P}-INCS.patch
+
+       # Stop make from doing autotools stuff
+       sed -i -e '/missing --run echo/s|=.*|= true|g' Makefile.in || die
 }
 
 src_configure() {



1.120                net-analyzer/ntop/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/ntop/ChangeLog?rev=1.120&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/ntop/ChangeLog?rev=1.120&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-analyzer/ntop/ChangeLog?r1=1.119&r2=1.120

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-analyzer/ntop/ChangeLog,v
retrieving revision 1.119
retrieving revision 1.120
diff -u -r1.119 -r1.120
--- ChangeLog   15 Jul 2014 18:37:20 -0000      1.119
+++ ChangeLog   16 Jul 2014 14:15:44 -0000      1.120
@@ -1,6 +1,12 @@
 # ChangeLog for net-analyzer/ntop
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/ntop/ChangeLog,v 1.119 
2014/07/15 18:37:20 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/ntop/ChangeLog,v 1.120 
2014/07/16 14:15:44 jer Exp $
+
+  16 Jul 2014; Jeroen Roovers <[email protected]> ntop-5.0.1-r1.ebuild,
+  +files/ntop-5.0.1-INCS.patch, +files/ntop-5.0.1-includes.patch:
+  Fix missing includes for standard functions. Stop running autotools in
+  src_install(). Use python-config --includes, not --cflags. Do not "clean up"
+  INCS (INCLUDES).
 
   15 Jul 2014; Jeroen Roovers <[email protected]> files/ntop-4.0.3-gentoo.patch,
   files/ntop-4.1.0-gentoo.patch, files/ntop-5.0.1-gentoo.patch:




Reply via email to